Bug 199839 - Add a runtime-disabled dialog element skeleton
Summary: Add a runtime-disabled dialog element skeleton
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-16 15:06 PDT by Alex Christensen
Modified: 2019-07-18 10:35 PDT (History)
8 users (show)

See Also:


Attachments
Patch (39.13 KB, patch)
2019-07-16 15:12 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.42 MB, application/zip)
2019-07-16 16:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.99 MB, application/zip)
2019-07-16 16:42 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-highsierra (3.28 MB, application/zip)
2019-07-16 17:08 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.91 MB, application/zip)
2019-07-16 17:08 PDT, Build Bot
no flags Details
Patch (48.59 KB, patch)
2019-07-17 10:30 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (49.64 KB, patch)
2019-07-17 11:14 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (8.86 KB, patch)
2019-07-17 13:52 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2019-07-16 15:06:50 PDT
Add a runtime-disabled dialog element skeleton
Comment 1 Alex Christensen 2019-07-16 15:12:59 PDT
Created attachment 374248 [details]
Patch
Comment 2 Ryosuke Niwa 2019-07-16 15:47:28 PDT
We probably want a new umbrella bug or re-use 84635.
Comment 3 Ryosuke Niwa 2019-07-16 15:48:28 PDT
Comment on attachment 374248 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=374248&action=review

> Source/WebCore/page/RuntimeEnabledFeatures.h:203
> +    

Nit: Whitespace.
Comment 4 Build Bot 2019-07-16 16:33:09 PDT
Comment on attachment 374248 [details]
Patch

Attachment 374248 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12754104

New failing tests:
imported/w3c/web-platform-tests/custom-elements/builtin-coverage.html
imported/w3c/web-platform-tests/html/semantics/interfaces.html
imported/w3c/web-platform-tests/html/dom/reflection-misc.html
imported/blink/dialog/inert-node-is-not-highlighted.html
imported/w3c/web-platform-tests/dom/nodes/Node-cloneNode.html
Comment 5 Build Bot 2019-07-16 16:33:10 PDT
Created attachment 374260 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 6 Build Bot 2019-07-16 16:42:34 PDT
Comment on attachment 374248 [details]
Patch

Attachment 374248 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12754109

New failing tests:
imported/w3c/web-platform-tests/custom-elements/builtin-coverage.html
imported/w3c/web-platform-tests/html/semantics/interfaces.html
imported/w3c/web-platform-tests/html/dom/reflection-misc.html
imported/blink/dialog/inert-node-is-not-highlighted.html
imported/w3c/web-platform-tests/dom/nodes/Node-cloneNode.html
Comment 7 Build Bot 2019-07-16 16:42:35 PDT
Created attachment 374262 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 8 Build Bot 2019-07-16 17:08:15 PDT
Comment on attachment 374248 [details]
Patch

Attachment 374248 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12754112

New failing tests:
imported/w3c/web-platform-tests/custom-elements/builtin-coverage.html
imported/blink/dialog/inert-node-is-not-highlighted.html
imported/w3c/web-platform-tests/dom/nodes/Node-cloneNode.html
Comment 9 Build Bot 2019-07-16 17:08:17 PDT
Created attachment 374265 [details]
Archive of layout-test-results from ews112 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 10 Build Bot 2019-07-16 17:08:30 PDT
Comment on attachment 374248 [details]
Patch

Attachment 374248 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12754105

New failing tests:
imported/w3c/web-platform-tests/html/semantics/interactive-elements/the-dialog-element/centering.html
imported/w3c/web-platform-tests/custom-elements/builtin-coverage.html
imported/w3c/web-platform-tests/html/semantics/interfaces.html
imported/w3c/web-platform-tests/html/dom/reflection-misc.html
imported/w3c/web-platform-tests/dom/nodes/Node-cloneNode.html
Comment 11 Build Bot 2019-07-16 17:08:31 PDT
Created attachment 374266 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 12 Alex Christensen 2019-07-17 10:30:35 PDT
Created attachment 374305 [details]
Patch
Comment 13 Alex Christensen 2019-07-17 11:14:40 PDT
Created attachment 374311 [details]
Patch
Comment 14 WebKit Commit Bot 2019-07-17 11:58:21 PDT
Comment on attachment 374311 [details]
Patch

Clearing flags on attachment: 374311

Committed r247527: <https://trac.webkit.org/changeset/247527>
Comment 15 WebKit Commit Bot 2019-07-17 11:58:22 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2019-07-17 11:59:24 PDT
<rdar://problem/53214201>
Comment 17 Truitt Savell 2019-07-17 13:30:17 PDT
It looks like the changes in https://trac.webkit.org/changeset/247527/webkit

may have caused three test to begin failing on WK2 but they look like rebaslines, can you confirm?

imported/w3c/web-platform-tests/custom-elements/builtin-coverage.html 
imported/w3c/web-platform-tests/dom/nodes/Node-cloneNode.html 
imported/w3c/web-platform-tests/html/semantics/interfaces.html

Results:
https://build.webkit.org/results/Apple%20Mojave%20Release%20WK2%20(Tests)/r247527%20(5380)/results.html

Diff of imported/w3c/web-platform-tests/custom-elements/builtin-coverage.html
https://build.webkit.org/results/Apple%20Mojave%20Release%20WK2%20(Tests)/r247527%20(5380)/imported/w3c/web-platform-tests/custom-elements/builtin-coverage-pretty-diff.html
Comment 18 Alex Christensen 2019-07-17 13:45:08 PDT
They should be rebaselines.  I'm looking into them right now.
Comment 19 Alex Christensen 2019-07-17 13:52:18 PDT
Reopening to attach new patch.
Comment 20 Alex Christensen 2019-07-17 13:52:19 PDT
Created attachment 374326 [details]
Patch
Comment 21 Alex Christensen 2019-07-17 13:52:41 PDT
Comment on attachment 374326 [details]
Patch

This ought to fix them.
Comment 22 WebKit Commit Bot 2019-07-17 14:45:28 PDT
The commit-queue encountered the following flaky tests while processing attachment 374326 [details]:

storage/indexeddb/dont-wedge.html bug 199883 (authors: beidson@apple.com, commit-queue@webkit.org, dgrogan@chromium.org, and mark.lam@apple.com)
The commit-queue is continuing to process your patch.
Comment 23 WebKit Commit Bot 2019-07-17 14:46:12 PDT
Comment on attachment 374326 [details]
Patch

Clearing flags on attachment: 374326

Committed r247539: <https://trac.webkit.org/changeset/247539>
Comment 24 WebKit Commit Bot 2019-07-17 14:46:14 PDT
All reviewed patches have been landed.  Closing bug.
Comment 26 Truitt Savell 2019-07-18 10:35:47 PDT
I rebaslined imported/w3c/web-platform-tests/html/semantics/interactive-elements/the-dialog-element/centering.html in https://trac.webkit.org/changeset/247564/webkit